<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This is class renders Yes/No responses and forms.
 *
 * @package    OSB
 * @subpackage Utilities
 * @category   Helpers
 * @author     Deon George
 * @copyright  (c) 2010 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
class StaticList_YesNo extends StaticList {
	protected function table() {
		return array(
			0=>_('No'),
			1=>_('Yes'),
		);
	}

	public static function factory() {
		return new StaticList_YesNo;
	}

	public static function display($value) {
		return static::_display($value);
	}
}
?>
